  <core:FragmentDefinition  xmlns="sap.m" xmlns:core="sap.ui.core" xmlns:l="sap.ui.layout" xmlns:t="sap.ui.table" xmlns:fr="sap.ui.layout.form" xmlns:u="sap.ui.unified">
  <Dialog id="dlg_dialogAgregarCustodio" title="Agregar Custodio" contentWidth="37rem" icon="sap-icon://visits">
    <content>
      <Panel>
      <headerToolbar>
			<OverflowToolbar>
				<Title text="Información Custodio"/>
			</OverflowToolbar>
		</headerToolbar>
        <content>
          <VBox class="sapUiSizeCompact">
            <fr:SimpleForm 
              visible="true"
              editable="true"
              layout="ResponsiveGridLayout"
              labelSpanXL="4"
              labelSpanL="4"
              labelSpanM="4"
              labelSpanS="4"
              adjustLabelSpan="false"
              emptySpanXL="0"
              emptySpanL="6"
              emptySpanM="0"
              emptySpanS="0"
              columnsXL="4"
              columnsL="4"
              columnsM="4"
              singleContainerFullSize="false">
              <fr:content>
                <Label text="Concepto"/>
                <Select id="cmbConcepto" required="true" fieldGroupIds="fieldValidAgregarCustodio" selectedKey="{path:'arqueoSorpresivo>/iIdConcepto', type : 'sap.ui.model.type.String', constraints : { minLength: 1, maxLength: 30 }}" items="{ path : 'localModel>/aConceptosCustodio' }">
                                        <core:Item key="{localModel>iId}" text="{localModel>sDescripcion}"/>
                                    </Select>
                <Label text="Importe (PEN)"/>
                <Input type="Number" fieldGroupIds="fieldValidAgregarCustodio" required="false" valueLiveUpdate="true" liveChange="onChangeImporte" value="{path:'arqueoSorpresivo>/fImportePEN', type : 'sap.ui.model.type.String',formatOptions: { IntegerSeparator: '.', groupingSeparator: '.' }, constraints : { minLength: 0, maxLength: 64 }}"/>
                <Label text="Importe (USD)"/>
                <Input type="Number" fieldGroupIds="fieldValidAgregarCustodio" required="false" valueLiveUpdate="true" liveChange="onChangeImporte" value="{path:'arqueoSorpresivo>/fImporteUSD', type : 'sap.ui.model.type.String',formatOptions: { IntegerSeparator: '.', groupingSeparator: '.' }, constraints : { minLength: 0, maxLength: 64 }}"/>
                <Label text="Observación"/>
                <TextArea fieldGroupIds="fieldValidAgregarCustodio" valueLiveUpdate="true" liveChange="onChangeObservacion" value="{path:'arqueoSorpresivo>/sObservacion', type : 'sap.ui.model.type.String', constraints : { minLength: 0, maxLength: 100 }}" rows="3" valueState="{= ${arqueoSorpresivo>/sObservacion}.length > 100 ? 'Warning' : 'None' }" showExceededText="true" maxLength="100"/>
              </fr:content>
            </fr:SimpleForm>
          </VBox>
        </content>
      </Panel>

      <!--Panel>
      <headerToolbar>
			<OverflowToolbar>
				<Title text="Informacion Arqueo"/>
			</OverflowToolbar>
		</headerToolbar>
        <content>
          <VBox class="sapUiSizeCompact">
            <fr:SimpleForm 
              visible="true"
              editable="true"
              layout="ResponsiveGridLayout"
              labelSpanXL="4"
              labelSpanL="4"
              labelSpanM="4"
              labelSpanS="4"
              adjustLabelSpan="false"
              emptySpanXL="0"
              emptySpanL="6"
              emptySpanM="0"
              emptySpanS="0"
              columnsXL="4"
              columnsL="4"
              columnsM="4"
              singleContainerFullSize="false">
              <fr:content> 
                <Label text="Observación"/>
                <TextArea value="" rows="3"/>
              </fr:content>
            </fr:SimpleForm>
          </VBox>
        </content>
      </Panel-->

    </content>
    <beginButton>
      <Button text="Guardar" type="Emphasized" ariaDescribedBy="acceptButtonDescription genericButtonDescription" press="onGuardarDlg_dialogAgregarCustodio"/> 
    </beginButton>
    <endButton>
      
      <Button text="Cerrar"  ariaDescribedBy="acceptButtonDescription genericButtonDescription" press="onCerrarDlg_dialogAgregarCustodio"/>
     
    </endButton>
  </Dialog>
  </core:FragmentDefinition>